public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jason Zaman" <perfinion@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sec-policy/selinux-base-policy/
Date: Sun, 11 Dec 2016 20:01:29 +0000 (UTC)	[thread overview]
Message-ID: <1481486388.8f56c2eff72a065f43181f002e1601b0865ee3a1.perfinion@gentoo> (raw)

commit:     8f56c2eff72a065f43181f002e1601b0865ee3a1
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 11 16:31:25 2016 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Sun Dec 11 19:59:48 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f56c2ef

sec-policy/selinux-base-policy: update to EAPI6

Package-Manager: portage-2.3.0

 .../selinux-base-policy-9999.ebuild                | 52 ++++++----------------
 1 file changed, 14 insertions(+), 38 deletions(-)

diff --git a/sec-policy/selinux-base-policy/selinux-base-policy-9999.ebuild b/sec-policy/selinux-base-policy/selinux-base-policy-9999.ebuild
index 0a47b94..b7ba9e2 100644
--- a/sec-policy/selinux-base-policy/selinux-base-policy-9999.ebuild
+++ b/sec-policy/selinux-base-policy/selinux-base-policy-9999.ebuild
@@ -1,9 +1,7 @@
 # Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
-EAPI="5"
-
-inherit eutils
+EAPI="6"
 
 if [[ ${PV} == 9999* ]]; then
 	EGIT_REPO_URI="${SELINUX_GIT_REPO:-git://anongit.gentoo.org/proj/hardened-refpolicy.git https://anongit.gentoo.org/git/proj/hardened-refpolicy.git}"
@@ -52,37 +50,11 @@ src_prepare() {
 	local modfiles
 
 	if [[ ${PV} != 9999* ]]; then
-		# Patch the source with the base patchbundle
-		cd "${S}"
-		EPATCH_MULTI_MSG="Applying SELinux policy updates ... " \
-		EPATCH_SUFFIX="patch" \
-		EPATCH_SOURCE="${WORKDIR}" \
-		EPATCH_FORCE="yes" \
-		epatch
+		einfo "Applying SELinux policy updates ... "
+		eapply -p0 "${WORKDIR}/0001-full-patch-against-stable-release.patch"
 	fi
 
-	# Apply the additional patches refered to by the module ebuild.
-	# But first some magic to differentiate between bash arrays and strings
-	if [[ "$(declare -p POLICY_PATCH 2>/dev/null 2>&1)" == "declare -a"* ]];
-	then
-		cd "${S}/refpolicy/policy/modules"
-		for POLPATCH in "${POLICY_PATCH[@]}";
-		do
-			epatch "${POLPATCH}"
-		done
-	else
-		if [[ -n ${POLICY_PATCH} ]];
-		then
-			cd "${S}/refpolicy/policy/modules"
-			for POLPATCH in ${POLICY_PATCH};
-			do
-				epatch "${POLPATCH}"
-			done
-		fi
-	fi
-
-	# Calling user patches
-	epatch_user
+	eapply_user
 
 	# Collect only those files needed for this particular module
 	for i in ${MODS}; do
@@ -120,9 +92,13 @@ src_install() {
 
 pkg_postinst() {
 	# Override the command from the eclass, we need to load in base as well here
-	local COMMAND
+	local COMMAND="-i base.pp"
+	if has_version "<sys-apps/policycoreutils-2.5"; then
+		COMMAND="-b base.pp"
+	fi
+
 	for i in ${MODS}; do
-		COMMAND="-i ${i}.pp ${COMMAND}"
+		COMMAND="${COMMAND} -i ${i}.pp"
 	done
 
 	for i in ${POLICY_TYPES}; do
@@ -130,17 +106,17 @@ pkg_postinst() {
 
 		cd /usr/share/selinux/${i} || die "Could not enter /usr/share/selinux/${i}"
 
-		semodule -s ${i} -b base.pp ${COMMAND} || die "Failed to load in base and modules ${MODS} in the $i policy store"
+		semodule -s ${i} ${COMMAND} || die "Failed to load in base and modules ${MODS} in the $i policy store"
 	done
 
 	# Relabel depending packages
 	local PKGSET="";
-	if [ -x /usr/bin/qdepends ] ; then
+	if [[ -x /usr/bin/qdepends ]] ; then
 		PKGSET=$(/usr/bin/qdepends -Cq -r -Q ${CATEGORY}/${PN} | grep -v 'sec-policy/selinux-');
-	elif [ -x /usr/bin/equery ] ; then
+	elif [[ -x /usr/bin/equery ]] ; then
 		PKGSET=$(/usr/bin/equery -Cq depends ${CATEGORY}/${PN} | grep -v 'sec-policy/selinux-');
 	fi
-	if [ -n "${PKGSET}" ] ; then
+	if [[ -n "${PKGSET}" ]] ; then
 		rlpkg ${PKGSET};
 	fi
 }


             reply	other threads:[~2016-12-11 20:01 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-12-11 20:01 Jason Zaman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-19 19:50 [gentoo-commits] repo/gentoo:master commit in: sec-policy/selinux-base-policy/ Jakov Smolić
2022-11-09 19:50 Arthur Zamarin
2022-01-09  5:46 Jason Zaman
2022-01-01 22:44 Jason Zaman
2021-02-02  4:14 Jason Zaman
2019-12-21 14:11 Jason Zaman
2019-04-20  8:24 Jason Zaman
2018-07-12 15:30 Jason Zaman
2018-06-09  5:09 Jason Zaman
2018-02-18 17:16 Patrice Clement
2018-02-04 14:23 Jason Zaman
2018-01-09 17:58 Jason Zaman
2017-08-27 14:58 Jason Zaman
2016-06-05  9:00 Sven Vermeulen
2016-06-04  8:49 Jason Zaman
2016-03-23 22:37 Jason Zaman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1481486388.8f56c2eff72a065f43181f002e1601b0865ee3a1.perfinion@gentoo \
    --to=perfinion@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox